# Erstaufnahme Einrichtung: Am Deutschen Platz

## Aktueller Stand

Einrichtung verfügt über zwei Gigacubes.
AFAIK ist einer davon in Betrieb.
Dieser befindet sich in einem Baucontainer

## Ziel

Uplink der Gigacubes wird über lokale WLAN-Infrastruktur direkt bis in die Wohnzelte verteilt.
Langfrisitig muss ein anderer Uplink gefunden werden.
Dies wird aktuell nicht betrachtet.

## Objekt

* Ort
  - `Straße des 18. Oktober 40, 04103 Leipzig`
  - [Google Maps](https://goo.gl/maps/BuhZ21SWmmbgaPN39)
* Betreiber: [Saxonia Catering](https://www.saxonia-catering.de/)
* ~300 Menschen bei Vollauslatung (AFAIK)
* 6 Wohnzelte (nicht alle in Benutzung aktuell)
* 3 bis 4 Verwaltungscontainer
* Verkabelung zwischen Containern und Zelten über Kabelbrücken
* Container besitzen "Gestänge" für Lichtstrahler
  - potenzieller Ort für Richtfunk
  - oder zum Kabel drantapen

![Skizze der Einrichtung](/EAE_Am-Deutschen-Platz_Skizze.jpg)

_Disclaimer:_

* nicht maßstabsgetreu
* nach Erinnerung - sehr wahrscheinlich falsch

## Geplante Installation

* 1 bis 2 APs pro Wohnzelt
* (optional) APs in Containern und Sanitärbereichen
* Entweder
  - Sternverkabelung zu Container(n):
    - "Großer" Switch in Container
    - 1 Kabel pro AP Richtung Container
    - In Zelten höchstens kleiner Switch/Injektor für PoE
    - Pros:
      - **the right way**
      - weniger Komponenten die Ausfallen können
    - Cons:
      - möglicherweise zu lange Kabelstrecken (Daten-/PoE-Verlust)
      - benötigt mehr Kabel
      - Switch muss PoE können => teuer
  - Rinverkabelung
    - Netz wird Ringförmig verteilt
    - Im Zelt kleine Switche für weiterverteilung
    - PoE kann direkt in Zelten terminiert werden
    - Pros:
      - Kabellänge kein Problem
    - Cons:
      - benötigt mehr Switche
      - weniger Ausfallsicher
* Gigacube, Switch(e) und Router in den Containern betreiben

## Benötigte Hardware

_hängt davon aber ob Stern oder Ring_

* Verlegekabel (~200m - 300m)
  - mindestens CAT5e
  - ~0,5€/1M => 100€ - 150€
* Keystone RJ45 Jacks
  - mindestens CAT5e
  - ~3€ pro Stück => 30 Stück sind 90€
* Keystone Patchpanel
  - ~20€
* Router
  - Ubiquiti Edge Router (OpenWRT) @hirnpfirsich
* Switch(e)
  - kleiner Switch: TP-Link TL-SG1005P
    - 5x Port
    - 4x PoE 802.3af/at
    - unmanaged
    - ~30€
  - großer Switch: NETGEAR GS324TP
    - 26x Port
    - 24x PoE+
    -  2x SFP
    - managed
    - ~300€
* APs
  - Aruba AP-105
  - PoE 802.3af ("klassisches" PoE) (auch passiven Injektoren ?!)
  - ~10 @katzenparadoxon
  -   2 @hirnpfirsich
* Patchkabel
* PDUs
* Labels für Doku
  - haben wir einen Labeldrucker ? <3
* Werkzeug
  - Kombi-Zange (Keystone Jacks schließen)
  - Seitenschneider
  - (optional) Abisolierwerkzeug
  - Gaffer
  - Edding
  - Netzprüfer (mit LEDs sollte reichen, optional mit "Kabelfinder")

## Netzplan

* eigner Router für DHCP, DNS und management
* Vodafone wird an Gigacube wahrscheinlich keine Prefix Delegation machen
  - kein v6
  - oder Prefix (`>= /64`) über Tunnel/VPN
* mindestens zwei Netze vor Ort in eigenen VLANs
  - `management` default VLAN (APs, Switche, ...)
  - `clients` tagged für WLAN-Clients
* `v4`
  -  `RFC1918`
* `v6`
  - `management` könnte `linklocal`, `ULA` oder `GUA`
    - `linklocal` doof wenn Monitoring extern  da wir nicht über VPN routen könnten
  - `clients` nur `GUA`
  - `GUA`s natürlich in beiden Fällen bevorzugt
* Fernwartung
  - VPN - `wireguard`
    - Einwahl direkt ins Netz wenn public `v4`/`v6` vorhanden
    - sonst über externe Maschine
    - außerdem `site-to-site` für Monitoring (wenn nicht vor Ort)
  - SSH
    - falls public `v4`/`v6` Router SSH freigeben
    - dann über Router springen für APs, Switche, ...
* Monitoring
    - Prometheus
    - `prometheus-node-exporter-lua-*` auf `openwrt` Maschinen (APs und Router)
    - `snmp-exporter` für Switche (wenn SNMP verfügbar)
    - direkt vor Ort auf kleiner Maschine (zB: Pi)
    - extern und über `site-to-site` VPN angebunden

## Offene Fragen

* Stern- oder Ringverkabelung ?
* Wie verbinden wir die beiden Container-Seiten miteinander ?
  - sehr naher Richtfunk ?
  - Kabel an Stangen tapen ?
* Wo genau packen wir die APs in die Zelte ?
  - am einfachsten ist es in irgendeiner Ecke wo die Kabel reinkommen
  - am hübschesten ist es an der Decke
* Haben wir in den Zelten Strom ? (wahrscheinlich)
* Gigacubes können externe LTE/5G Antennen verwenden (sinnvoll wg. Container) ?
* Beide Gigacubes verwenden für mehr Bums und Redundanz ?
